Page MenuHomePhabricator

Make a task that generates wikipedia.org portal page based on a stats file
Closed, ResolvedPublic8 Estimate Story Points

Event Timeline

JGirault created this task.Nov 17 2015, 7:32 PM
JGirault claimed this task.
JGirault raised the priority of this task from to Needs Triage.
JGirault updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 17 2015, 7:32 PM

Change 252161 had a related patch set uploaded (by JGirault):
Using mustache templates to split the html file into sections and generate html based on stats and defs loaded from .json files.

https://gerrit.wikimedia.org/r/252161

@MaxSem @Jdrewniak,
I decided to use Handlebars instead of mustache.
Developing with Handlebars (and the helpers) just makes life a lot easier.

I fixed also a lot of issues in my patch. Please review.

So we've gone from a wiki page of HTML to needing npm and gulp? My goodness.

Change 252161 merged by jenkins-bot:
Using handlebars templates to split the html file into sections and generate html based on stats and defs loaded from .json files.

https://gerrit.wikimedia.org/r/252161

debt closed this task as Resolved.Jan 27 2016, 11:26 PM
debt triaged this task as Medium priority.
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Feb 4 2016, 11:15 PM